planning_task:
  description: >
    Create a detailed outline for a blog post about {topic}.

    The outline should include:
    - A compelling title
    - An introduction hook
    - 3-5 main sections with key points to cover in each
    - A conclusion with a call to action

    Make the outline detailed enough that a writer can produce
    a full blog post from it without additional research.
  expected_output: >
    A structured blog post outline with a title, introduction notes,
    detailed section breakdowns, and conclusion notes.
  agent: planner

writing_task:
  description: >
    Using the outline provided, write a full blog post about {topic}.

    Requirements:
    - Follow the outline structure closely
    - Write in a clear, engaging, and conversational tone
    - Each section should be 2-3 paragraphs
    - Include a strong introduction and conclusion
    - Target around 800-1200 words
  expected_output: >
    A complete blog post in markdown format, ready for editing.
    The post should follow the outline and be well-written with
    clear transitions between sections.
  agent: writer

editing_task:
  description: >
    Review and edit the blog post about {topic}.

    Focus on:
    - Fixing any grammar or spelling errors
    - Improving sentence clarity and flow
    - Ensuring consistent tone throughout
    - Strengthening the introduction and conclusion
    - Removing any redundancy

    Do not rewrite the post — refine and polish it.
  expected_output: >
    The final, polished blog post in markdown format without '```'.
    Publication-ready with clean formatting and professional prose.
  agent: editor
  output_file: output/post.md
